# Copyright (C) 2007 Wes Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::AutoGUI::Values;

use GeoDB;
use GeoDB::Utils;
our @ISA=qw(GeoDB);

sub get_sql_statement {
    my ($self, $statement) = @_;
    my $dbh = $self->get_master()->{'dbh'};
    my $sth = $dbh->prepare_cached($statement);
    return $sth;
}

sub get_sql_values {
    my ($self, $statement, $args) = @_;
    my $sth = $self->get_sql_statement($statement);
    $sth->execute(@$args);
    my $vals = $sth->fetchall_arrayref();
    $sth->finish();
    return $vals;
}

sub get_sql_flattened_values {
    my ($self, $statement, $args) = @_;
    my $vals = $self->get_sql_values($statement, $args);
    my @vals;
    map { push @vals, @$_ } @$vals;
    return \@vals;
}
