# Copyright (C) 2007 Wes Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::AutoGUI::Values::Distinct;

our $VERSION = "0.97";

use GeoDB::AutoGUI::Values;
our @ISA=qw(GeoDB::AutoGUI::Values);

our @GEOOPTIONS =
  (
   { name => 'column',
     help => 'A column to search for distinct values from.',
     default => 'California',
   },
   { name =>    'table',
     default => 'geocaches',
     help =>    'The table to pull the columns from.'
   }
  );

sub get_gui_values {
    my ($self, $args) = @_;
    my $res =
      $self->get_sql_flattened_values("  select
                                       distinct $self->{options}{column}
                                           from $self->{options}{table}");
    @$res = sort @$res;
    return $res;
}

