# Copyright (C) 2007 Wes Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Modify::Diff;

use strict;
use GeoDB::Modify;
use GeoDB::Utils;

our @ISA = qw(GeoDB::Modify);

our $VERSION = "0.97";

our @GEOOPTIONS =
({name => 'out',
  help =>
  'the name of the output file to store the html formated differences in.',
 });

sub modify_set {
    my ($self, $set) = @_;

    my $outfile = $self->{'options'}{'out'};
    GEOERR("out parameter required for diff modify plugin\n")
        if (!$outfile);
    open(O, ">$outfile");
    print O "
<head>
 <style type=\"text/css\">
   <!--
/* ********************************************************************** */
/* TABLES */
table { 
  border-color: #aaf;
  border-style: solid;
  border-width: 2px;
  margin-left: 50px;
}

th { 
  background-color: #ccf;
}

table.coverlist td, table.coverlist th { 
  border-color: #fff #99f #fff #99f;
  border-style: solid;
  border-width: 1px;
  padding-left: 4px;
  padding-right: 4px;
}

h3{background:#cceecc}
-->
</style>
</head>
<body>
<html>
  <h1> Waypoint Differences in: \"" . $set->get_name() . "\" </h1>
";
    $set->foreach(sub {
        my $changed = 0;
        my $cache = shift;
        my $oldcache = $cache->clone_clean();
        $oldcache->load_parts();
        foreach my $i (keys(%{$cache->{'data'}})) {
            if ($cache->{'data'}{$i} ne $oldcache->{'data'}{$i}) {
                print O "<h3>$cache->{'data'}{ident}</h3>\n<table>\n<tr><th>field</th><th>Old Value</th><th>New Value</th></tr>\n"
                   if (!$changed++);
                print O "<tr><td>$i</td><td>$oldcache->{'data'}{$i}</td><td>$cache->{'data'}{$i}</td></tr>\n";
           }
        }
        print O "</table>\n" if ($changed);
    });
    print O "</html>\n";
    close O;
}

1;
