# Copyright (C) 2007 Wes Hardaker
# License: GNU GPLv2.  See the COPYING file for details.
package GeoDB::Search::Geodining;

use strict;
use GeoDB::Search;
use GeoDB::Utils;
use GeoDB::Waypoint;

our @ISA = qw(GeoDB::Search);

our $VERSION = "0.97";

sub search {
     my ($self, $criteria, $type) = @_;

     GEODEBUG(3, "passing criteria: $criteria\n");
     return
       $self->get_search_tokens( $criteria, $type,
				 get_waypoint_type_cols_and_map('Geodining'),
				 "type == 'Geodining' and");
}


1;

=head1 NAME

Geodining - query the waypoint list for geodining attributes

=head1 DESCRIPTION

START HELP

  > geoqo -s geodining:resturant_name=Cafe -d count
  Search/Set Count: 6

Searches the database for only waypoints that are of type 'Geodining'
and conform to the terms given.  See the documentation on the
waypoint: search type for further details on how to use it, because
everything else is the same.

Possible search columns for geodining waypoints include the following
beyond those listed in the waypoint section:

			       geodining_restaurant_name
			       geodining_submitted_by
			       geodining_price
			       geodining_service
			       geodining_continent
			       geodining_country
			       geodining_state
			       geodining_city
			       geodining_zip
			       geodining_address
			       geodining_description
			       geodining_details

END HELP

=head1 AUTHOR

Wes Hardaker (AKA Yamar) <hardaker ATAT users.sourceforge.net> 

=cut

